import request from '@/utils/request'

// 计划专业管理 - 查询列表
export function listPlanProfessionalAPI(query) {
    return request({
        url: '/planMajor/getPlanMajorList',
        method: 'GET',
        params: query,
    })
}

// 计划专业管理 - 新增
export function addPlanProfessionalAPI(data) {
    return request({
        url: '/planMajor/addPlanMajor',
        method: 'POST',
        data,
    })
}

// 计划专业管理 - 修改
export function updatePlanProfessionalAPI(data) {
    return request({
        url: '/planMajor/updatePlanMajor',
        method: 'POST',
        data,
    })
}

// 计划专业管理 - 删除
export function delPlanProfessionalAPI(data) {
    return request({
        url: `/planMajor/delPlanMajor`,
        method: 'POST',
        data,
    })
}
